import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:nuntio_hera/hera/hera.dart';
import 'package:nuntio_hera/hera_ui/hera_ui.dart';
import 'package:nuntio_hera/hera_ui/models.dart';
import 'package:with_ui_example/home/home.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await Hera.initialize(
    debug: true,
    apiUrl: 'http://127.0.0.1:9000',
    credentials: NoTransportCredentials(),
    //publicApiKey: 'eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJwcm9qZWN0X2lkIjoiNDQyMzU0ZTYtOTZhNi00NzAzLTlkZTItODVjOGQ2OWEzMWI0IiwicGFydG5lcl9pZCI6ImZyLXBhci1udW50aW8tZGlzdHJpYnV0ZWQiLCJhcGlfdXJsIjoiZnItcGFyLm51bnRpby5pbzo0NDMiLCJrZXlfdHlwZSI6MiwianRpIjoiMzgyZWE2YmEtMWI4MS00NmZiLTgxNTYtNmQ3ZDkzYzQ1ZDY2IiwiaXNzIjoibnVudGlvLWNsb3VkLWlzc3VlciJ9.clZWL2XNX0xDzUNymJlBfGOUH3TD3mw4vUZwI6QVlFfldPKCqWTEm0xbLkjcrkY4y77pkL6EA0AyjHWKmlPpwJEHZE-S4c4lyvt9nTNJfdsgZ_c_KtvOLRxR4wSa-N9FT1OitzOma6NULSGiNuiktGcXwLk6bKHmU1geThYfh-Drhn5xWR7w_StE4rZm83BF0BmCPkyfkjTOoRmE5wxvcZ-o3zklQmuMPRfxiGJHzX9em1otocUxrSOTfSVz2p5ZvrkAXR4U3PyJT0zqRtwPL33JI5k1zakfYuo1UM-yvgw4zU5Xt3iIuxpKqoPRbee54umEwrb6vpL9Im6x97kRpQ'
  );
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return HeraUI(
      //excludeAuthMechanisms: [LoginType.EMAIL_PASSWORD],
      heraTextStyle: HeraTextStyle(),
      brightness: Brightness.light,
      child: Home(),
    );
  }
}
